%global date    20200323
%global commit  cd1b01f0c00d182d143bf1e1668c9aa4650ac6c9

%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global distprefix  %{?date:.%{date}git%{shortcommit}}


Name:           sway-services
Version:        0
Release:        0.2%{?dist}
Summary:        Tools, utilities and unit files to handle a systemd-user sway session

License:        MIT and LGPLv2+
URL:            https://github.com/xdbob/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  meson >= 0.47
BuildRequires:  systemd-rpm-macros

%description
A collection of tools, utilities and mostly unit files to handle
a systemd-user sway session.
Usage: run Sway Service from your desktop manager or run sway-user-service.

Provided targets
 -  sway-session.target
 -  sway-session-pre.target
 -  wayland-session.target
 -  wayland-session-pre.target

These targets are directly mapped to graphical-session{,-pre}.target but for
wayland exclusive services.


%prep
%autosetup -n %{name}-%{commit}


%build
%meson
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/sway/config.d/10-service.conf
%{_bindir}/sway-user-service
%{_userunitdir}/sway-session-pre.target
%{_userunitdir}/sway-session.target
%{_userunitdir}/sway.service
%{_userunitdir}/wayland-session-pre.target
%{_userunitdir}/wayland-session.target
%{_datadir}/wayland-sessions/sway-session.desktop

%{_userunitdir}/kanshi.service
# this kind of confilicts with default config
# and also does not really make things better
# ¯\_(ツ)_/¯
%{_bindir}/swayidle-conf
%{_userunitdir}/swayidle.service
# included in mako package
%exclude %{_userunitdir}/mako.service


%changelog
* Fri Apr 17 2020 Aleksei Bavshin <alebastr89@gmail.com> - 0-0.2
- Return kanshi.service, as it will not be included in Fedora package

* Thu Mar 26 2020 Aleksei Bavshin <alebastr89@gmail.com> - 0-0.1.20200323gitcd1b01f
- Initial package
